Subject: Aliaser

From: [email-masked] (Theodore F Vaida ][)
Date: Mon, 18 Jan 1993 10:49:37 -0800

I asked this before, but somehow lost the replys, sorry:

I have a list of aliases on the $player  object, with a corresponding
list of the commands they are aliased to.
	$player.alias_list
	$player.alias_commands

When the my_huh verb executes, if finds if the unparsable string is
one of the aliases, and if so runs $player:eval_alias.  I use
$command_utils:parse_command to take the corresponding
$player.alias_command and parse it.  I then use

if ($object_utils:has_verb(player,verb, args))
  eval(tostr(player,":",verb,"(@args)"));
elseif ...

to run the verb, replacing the 'player' with the items going down the
list of objects to search for that corresponding verbs,

any suggestions on what I might be doing wrong?  I cant get a test
verb to execute (a simple test verb with no arguments etc...)
 
ahhh... so

---------=======================================================---------
                  ->POLAR CAPS<- or [email-masked]
Student Konsultant Making the world safe for computing!
"Never before have we owed so little to so many..."- R.T.Folk
"One must not confuse John Dunne's famous quote `No man is an Island' with
 New York Telephone's `We're all connected'" - Dad
"Trust no one, and be honest with all"  _Claudius_the_God_, and Dad
   Paranoid, but it'll keep you out of trouble...
---------=======================================================---------

Public PGP encryption key follows: